package cicaprojekt;

public class Stargate {

	private boolean isSpawned;
	
	public static final Stargate yellowStargate = new Stargate();
	public static final Stargate blueStargate = new Stargate();
	public final Stargate other = null; /*null, hogy ne sírjon*/
	
	private cicaprojekt.Wall currentWall;

	public static void init() {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + "Stargate" + "]" + Menu.tabulator + "Stargate.init()");
		System.out.println("<" + "[" + ":" + "Stargate" + "]" + Menu.tabulator + "Stargate.init()");
		Menu.removeTab();
	}
	
	public cicaprojekt.Wall getCurrentWall() {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.getCurrentWall()");
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.getCurrentWall()");
		Menu.removeTab();
		return currentWall;
	}
	
	public void setCurrentWall(cicaprojekt.Wall wall) {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.setCurrentWall(" + wall.name() + ")");
		currentWall = wall;
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.setCurrentWall(" + wall.name() + ")");
		Menu.removeTab();
	}
	
	public boolean isOpen() {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.isOpen()");
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.isOpen()");
		Menu.removeTab();
		return isSpawned;
	}
	
	public void teleport(Direction incomingDirection) {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.teleport(" + incomingDirection.name() + ")");
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Stargate.teleport(" + incomingDirection.name() + ")");
		Menu.removeTab();
	}
}
